For Developers
Fetch Flow
GET https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/flows/:flow_id
Retrieves detailed execution details for a flow run.
Permissions
Requires the flows.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
:flow_id | UUID | Yes | The ID of the flow. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/flows/${flow_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "5819203a-4819-4820-9182-391820491820",
"state": "completed",
"created_date": "2024-06-21T09:00:00.000Z",
"updated_date": "2024-06-21T09:12:00.000Z"
}
}
